//By Mogcid
//priority: 7000
events.listen('recipes', function (event) {
	
    //Ingots
    event.replaceOutput({}, '#forge:ingots/iron', 'minecraft:iron_ingot');
    event.replaceOutput({}, '#forge:ingots/gold', 'minecraft:gold_ingot');
    event.replaceOutput({}, '#forge:ingots/copper', 'thermal:copper_ingot');
    event.replaceOutput({}, '#forge:ingots/silver', 'thermal:silver_ingot');
    event.replaceOutput({}, '#forge:ingots/zinc', 'create:zinc_ingot');
    event.replaceOutput({}, '#forge:ingots/brass', 'create:brass_ingot');
    event.replaceOutput({}, '#forge:ingots/lead', 'thermal:lead_ingot');
    event.replaceOutput({}, '#forge:ingots/tin', 'thermal:tin_ingot');
    event.replaceOutput({}, '#forge:ingots/nickel', 'thermal:nickel_ingot');
    event.replaceOutput({}, '#forge:ingots/aluminum', 'immersiveengineering:ingot_aluminum');
    event.replaceOutput({}, '#forge:ingots/uranium', 'immersiveengineering:ingot_uranium');
    event.replaceOutput({}, '#forge:ingots/bronze', 'thermal:bronze_ingot');
    event.replaceOutput({}, '#forge:ingots/electrum', 'thermal:electrum_ingot');
    event.replaceOutput({}, '#forge:ingots/constantan', 'thermal:constantan_ingot');
    event.replaceOutput({}, '#forge:ingots/steel', 'immersiveengineering:ingot_steel');
    event.replaceOutput({}, '#forge:ingots/osmium', 'mekanism:ingot_osmium');
    event.replaceOutput({}, '#forge:ingots/invar', 'thermal:invar_ingot');
    event.replaceOutput({}, '#forge:ingots/signalum', 'thermal:signalum_ingot');
    event.replaceOutput({}, '#forge:ingots/lumium', 'thermal:lumium_ingot');
    event.replaceOutput({}, '#forge:ingots/enderium', 'thermal:enderium_ingot');

    //Gems
    event.replaceOutput({}, '#forge:gems/niter', 'thermal:niter');
    event.replaceOutput({}, '#forge:gems/sulfur', 'thermal:sulfur');
    event.replaceOutput({}, '#forge:gems/cinnabar', 'thermal:cinnabar');
    event.replaceOutput({}, '#forge:gems/apatite', 'thermal:apatite');
    event.replaceOutput({}, '#forge:gems/bitumen', 'thermal:bitumen');

    //Nuggets
    event.replaceOutput({}, '#forge:nuggets/iron', 'minecraft:iron_nugget');
    event.replaceOutput({}, '#forge:nuggets/gold', 'minecraft:gold_nugget');
    event.replaceOutput({}, '#forge:nuggets/copper', 'thermal:copper_nugget');
    event.replaceOutput({}, '#forge:nuggets/silver', 'thermal:silver_nugget');
    event.replaceOutput({}, '#forge:nuggets/zinc', 'create:zinc_nugget');
    event.replaceOutput({}, '#forge:nuggets/brass', 'create:brass_nugget');
    event.replaceOutput({}, '#forge:nuggets/lead', 'thermal:lead_nugget');
    event.replaceOutput({}, '#forge:nuggets/tin', 'thermal:tin_nugget');
    event.replaceOutput({}, '#forge:nuggets/nickel', 'thermal:nickel_nugget');
    event.replaceOutput({}, '#forge:nuggets/aluminum', 'immersiveengineering:nugget_aluminum');
    event.replaceOutput({}, '#forge:nuggets/uranium', 'immersiveengineering:nugget_uranium');
    event.replaceOutput({}, '#forge:nuggets/bronze', 'thermal:bronze_nugget');
    event.replaceOutput({}, '#forge:nuggets/electrum', 'thermal:electrum_nugget');
    event.replaceOutput({}, '#forge:nuggets/constantan', 'thermal:constantan_nugget');
    event.replaceOutput({}, '#forge:nuggets/steel', 'immersiveengineering:nugget_steel');
    event.replaceOutput({}, '#forge:nuggets/osmium', 'mekanism:nugget_osmium');
    event.replaceOutput({}, '#forge:nuggets/invar', 'thermal:invar_nugget');
    event.replaceOutput({}, '#forge:nuggets/signalum', 'thermal:signalum_nugget');
    event.replaceOutput({}, '#forge:nuggets/lumium', 'thermal:lumium_nugget');
    event.replaceOutput({}, '#forge:nuggets/enderium', 'thermal:enderium_nugget');

    //Blocks
    event.replaceOutput({}, '#forge:storage_blocks/copper', 'thermal:copper_block');
    event.replaceOutput({}, '#forge:storage_blocks/aluminum', 'immersiveengineering:storage_aluminum');
    event.replaceOutput({}, '#forge:storage_blocks/silver', 'thermal:silver_block');
    event.replaceOutput({}, '#forge:storage_blocks/lead', 'thermal:lead_block');
    event.replaceOutput({}, '#forge:storage_blocks/nickel', 'thermal:nickel_block');
    event.replaceOutput({}, '#forge:storage_blocks/uranium', 'immersiveengineering:storage_uranium');
    event.replaceOutput({}, '#forge:storage_blocks/osmium', 'mekanism:block_osmium');
    event.replaceOutput({}, '#forge:storage_blocks/tin', 'thermal:tin_block');
    event.replaceOutput({}, '#forge:storage_blocks/zinc', 'create:zinc_block');
    event.replaceOutput({}, '#forge:storage_blocks/cinnabar', 'thermal:cinnabar_block');
    event.replaceOutput({}, '#forge:storage_blocks/apatite', 'thermal:apatite_block');
    event.replaceOutput({}, '#forge:storage_blocks/sulfur', 'thermal:sulfur_block');
    event.replaceOutput({}, '#forge:storage_blocks/potassium_nitrate', 'thermal:potassium_nitrate_block');
    event.replaceOutput({}, '#forge:storage_blocks/niter', 'thermal:niter_block');
    event.replaceOutput({}, '#forge:storage_blocks/ruby', 'thermal:ruby_block');
    event.replaceOutput({}, '#forge:storage_blocks/sapphire', 'thermal:sapphire_block');
    event.replaceOutput({}, '#forge:storage_blocks/peridot', 'thermal:peridot_block');
    event.replaceOutput({}, '#forge:storage_blocks/bronze', 'thermal:bronze_block');
    event.replaceOutput({}, '#forge:storage_blocks/brass', 'create:brass_block');
    event.replaceOutput({}, '#forge:storage_blocks/constantan', 'thermal:constantan_block');
    event.replaceOutput({}, '#forge:storage_blocks/electrum', 'thermal:electrum_block');
    event.replaceOutput({}, '#forge:storage_blocks/steel', 'immersiveengineering:storage_steel');
    event.replaceOutput({}, '#forge:storage_blocks/invar', 'thermal:invar_block');
    event.replaceOutput({}, '#forge:storage_blocks/signalum', 'thermal:signalum_block');
    event.replaceOutput({}, '#forge:storage_blocks/lumium', 'thermal:lumium_block');
    event.replaceOutput({}, '#forge:storage_blocks/enderium', 'thermal:enderium_block');

    //Ores
    event.replaceOutput({}, '#forge:ores/iron', 'minecraft:iron_ore');
    event.replaceOutput({}, '#forge:ores/gold', 'minecraft:gold_ore');
    event.replaceOutput({}, '#forge:ores/diamond', 'minecraft:diamond_ore');
    event.replaceOutput({}, '#forge:ores/emerald', 'minecraft:emerald_ore');
    event.replaceOutput({}, '#forge:ores/copper', 'thermal:copper_ore');
    event.replaceOutput({}, '#forge:ores/copper', 'thermal:copper_ore');
    event.replaceOutput({}, '#forge:ores/silver', 'thermal:silver_ore');
    event.replaceOutput({}, '#forge:ores/lead', 'thermal:lead_ore');
    event.replaceOutput({}, '#forge:ores/tin', 'thermal:tin_ore');
    event.replaceOutput({}, '#forge:ores/nickel', 'thermal:nickel_ore');
    event.replaceOutput({}, '#forge:ores/aluminum', 'immersiveengineering:ore_aluminum');
    event.replaceOutput({}, '#forge:ores/uranium', 'immersiveengineering:ore_uranium');
    event.replaceOutput({}, '#forge:ores/niter', 'thermal:niter_ore');
    event.replaceOutput({}, '#forge:ores/sulfur', 'thermal:sulfur_ore');
    event.replaceOutput({}, '#forge:ores/cinnabar', 'thermal:cinnabar_ore');
    event.replaceOutput({}, '#forge:ores/apatite', 'thermal:apatite_ore');
    event.replaceOutput({}, '#forge:ores/bitumen', 'thermal:bitumen_ore');

    //Dust
    event.replaceOutput({}, '#forge:dusts/copper', 'thermal:copper_dust');
    event.replaceOutput({}, '#forge:dusts/aluminum', 'immersiveengineering:dust_aluminum');
    event.replaceOutput({}, '#forge:dusts/silver', 'thermal:silver_dust');
    event.replaceOutput({}, '#forge:dusts/lead', 'thermal:lead_dust');
    event.replaceOutput({}, '#forge:dusts/tin', 'thermal:tin_dust');
    event.replaceOutput({}, '#forge:dusts/nickel', 'thermal:nickel_dust');
    event.replaceOutput({}, '#forge:dusts/bronze', 'thermal:bronze_dust');
    event.replaceOutput({}, '#forge:dusts/electrum', 'thermal:electrum_dust');
    event.replaceOutput({}, '#forge:dusts/constantan', 'thermal:constantan_dust');
    event.replaceOutput({}, '#forge:dusts/steel', 'immersiveengineering:dust_steel');
    event.replaceOutput({}, '#forge:dusts/osmium', 'mekanism:dust_osmium');
    event.replaceOutput({}, '#forge:dusts/invar', 'thermal:invar_dust');
    event.replaceOutput({}, '#forge:dusts/signalum', 'thermal:signalum_dust');
    event.replaceOutput({}, '#forge:dusts/lumium', 'thermal:lumium_dust');
    event.replaceOutput({}, '#forge:dusts/enderium', 'thermal:enderium_dust');
    event.replaceOutput({}, '#forge:dusts/sulfur', 'thermal:sulfur_dust');
    event.replaceOutput({}, '#forge:dusts/cinnabar', 'thermal:cinnabar_dust');
    event.replaceOutput({}, '#forge:dusts/apatite', 'thermal:apatite_dust');
    event.replaceOutput({}, '#thermal:dusts/ender', 'thermal:ender_dust');
    event.replaceOutput({}, '#forge:dusts/niter', 'thermal:niter_dust');

    //Gear
    event.replaceOutput({}, '#forge:gears/iron', 'thermal:iron_gear');
    event.replaceOutput({}, '#forge:gears/gold', 'thermal:gold_gear');
    event.replaceOutput({}, '#forge:gears/copper', 'thermal:copper_gear');
    event.replaceOutput({}, '#forge:gears/silver', 'thermal:silver_gear');
    event.replaceOutput({}, '#forge:gears/lead', 'thermal:lead_gear');
    event.replaceOutput({}, '#forge:gears/tin', 'thermal:tin_gear');
    event.replaceOutput({}, '#forge:gears/nickel', 'thermal:nickel_gear');
    event.replaceOutput({}, '#forge:gears/bronze', 'thermal:bronze_gear');
    event.replaceOutput({}, '#forge:gears/electrum', 'thermal:electrum_gear');
    event.replaceOutput({}, '#forge:gears/constantan', 'thermal:constantan_gear');
    event.replaceOutput({}, '#forge:gears/steel', 'thermal:steel_gear');
    event.replaceOutput({}, '#forge:gears/invar', 'thermal:invar_gear');
    event.replaceOutput({}, '#forge:gears/signalum', 'thermal:signalum_gear');
    event.replaceOutput({}, '#forge:gears/lumium', 'thermal:lumium_gear');
    event.replaceOutput({}, '#forge:gears/enderium', 'thermal:enderium_gear');

    //Plates
    event.replaceOutput({}, '#forge:plates/iron', 'thermal:iron_plate');
    event.replaceOutput({}, '#forge:plates/gold', 'thermal:gold_plate');
    event.replaceOutput({}, '#forge:plates/copper', 'thermal:copper_plate');
    event.replaceOutput({}, '#forge:plates/silver', 'thermal:silver_plate');
    event.replaceOutput({}, '#forge:plates/lead', 'thermal:lead_plate');
    event.replaceOutput({}, '#forge:plates/tin', 'thermal:tin_plate');
    event.replaceOutput({}, '#forge:plates/nickel', 'thermal:nickel_plate');
    event.replaceOutput({}, '#forge:plates/uranium', 'immersiveengineering:plate_uranium');
    event.replaceOutput({}, '#forge:plates/bronze', 'thermal:bronze_plate');
    event.replaceOutput({}, '#forge:plates/electrum', 'thermal:electrum_plate');
    event.replaceOutput({}, '#forge:plates/constantan', 'thermal:constantan_plate');
    event.replaceOutput({}, '#forge:plates/steel', 'immersiveengineering:plate_steel');
    event.replaceOutput({}, '#forge:plates/invar', 'thermal:invar_plate');
    event.replaceOutput({}, '#forge:plates/signalum', 'thermal:signalum_plate');
    event.replaceOutput({}, '#forge:plates/lumium', 'thermal:lumium_plate');
    event.replaceOutput({}, '#forge:plates/enderium', 'thermal:enderium_plate');
   

    //-------------------

    event.replaceInput({}, '#forge:ingots/iron', 'minecraft:iron_ingot');
    event.replaceInput({}, '#forge:ingots/gold', 'minecraft:gold_ingot');
    event.replaceInput({}, '#forge:ingots/copper', 'thermal:copper_ingot');
    event.replaceInput({}, '#forge:ingots/silver', 'thermal:silver_ingot');
    event.replaceInput({}, '#forge:ingots/zinc', 'create:zinc_ingot');
    event.replaceInput({}, '#forge:ingots/brass', 'create:brass_ingot');
    event.replaceInput({}, '#forge:ingots/lead', 'thermal:lead_ingot');
    event.replaceInput({}, '#forge:ingots/tin', 'thermal:tin_ingot');
    event.replaceInput({}, '#forge:ingots/nickel', 'thermal:nickel_ingot');
    event.replaceInput({}, '#forge:ingots/aluminum', 'immersiveengineering:ingot_aluminum');
    event.replaceInput({}, '#forge:ingots/uranium', 'immersiveengineering:ingot_uranium');
    event.replaceInput({}, '#forge:ingots/bronze', 'thermal:bronze_ingot');
    event.replaceInput({}, '#forge:ingots/electrum', 'thermal:electrum_ingot');
    event.replaceInput({}, '#forge:ingots/constantan', 'thermal:constantan_ingot');
    event.replaceInput({}, '#forge:ingots/steel', 'immersiveengineering:ingot_steel');
    event.replaceInput({}, '#forge:ingots/invar', 'thermal:invar_ingot');
    event.replaceInput({}, '#forge:ingots/signalum', 'thermal:signalum_ingot');
    event.replaceInput({}, '#forge:ingots/lumium', 'thermal:lumium_ingot');
    event.replaceInput({}, '#forge:ingots/enderium', 'thermal:enderium_ingot');
    event.replaceOutput({}, '#forge:nuggets/osmium', 'mekanism:nugget_osmium');
    
	//Gems
    event.replaceInput({}, '#forge:gems/niter', 'thermal:niter');
    event.replaceInput({}, '#forge:gems/sulfur', 'thermal:sulfur');
    event.replaceInput({}, '#forge:gems/cinnabar', 'thermal:cinnabar');
    event.replaceInput({}, '#forge:gems/apatite', 'thermal:apatite');

    //Nuggets
    event.replaceInput({}, '#forge:nuggets/copper', 'thermal:copper_nugget');
    event.replaceInput({}, '#forge:nuggets/silver', 'thermal:silver_nugget');
    event.replaceInput({}, '#forge:nuggets/zinc', 'create:zinc_nugget');
    event.replaceInput({}, '#forge:nuggets/brass', 'create:brass_nugget');
    event.replaceInput({}, '#forge:nuggets/lead', 'thermal:lead_nugget');
    event.replaceInput({}, '#forge:nuggets/tin', 'thermal:tin_nugget');
    event.replaceInput({}, '#forge:nuggets/nickel', 'thermal:nickel_nugget');
    event.replaceInput({}, '#forge:nuggets/aluminum', 'immersiveengineering:nugget_aluminum');
    event.replaceInput({}, '#forge:nuggets/uranium', 'immersiveengineering:nugget_uranium');
    event.replaceInput({}, '#forge:nuggets/bronze', 'thermal:bronze_nugget');
    event.replaceInput({}, '#forge:nuggets/electrum', 'thermal:electrum_nugget');
    event.replaceInput({}, '#forge:nuggets/constantan', 'thermal:constantan_nugget');
    event.replaceInput({}, '#forge:nuggets/steel', 'immersiveengineering:nugget_steel');
    event.replaceInput({}, '#forge:nuggets/invar', 'thermal:invar_nugget');
    event.replaceInput({}, '#forge:nuggets/signalum', 'thermal:signalum_nugget');
    event.replaceInput({}, '#forge:nuggets/lumium', 'thermal:lumium_nugget');
    event.replaceInput({}, '#forge:nuggets/enderium', 'thermal:enderium_nugget');

    //Blocks
    event.replaceInput({}, '#forge:storage_blocks/copper', 'thermal:copper_block');
    event.replaceInput({}, '#forge:storage_blocks/aluminum', 'immersiveengineering:storage_aluminum');
    event.replaceInput({}, '#forge:storage_blocks/silver', 'thermal:silver_block');
    event.replaceInput({}, '#forge:storage_blocks/lead', 'thermal:lead_block');
    event.replaceInput({}, '#forge:storage_blocks/nickel', 'thermal:nickel_block');
    event.replaceInput({}, '#forge:storage_blocks/uranium', 'immersiveengineering:storage_uranium');
    event.replaceInput({}, '#forge:storage_blocks/tin', 'thermal:tin_block');
    event.replaceInput({}, '#forge:storage_blocks/zinc', 'create:zinc_block');
    event.replaceInput({}, '#forge:storage_blocks/cinnabar', 'thermal:cinnabar_block');
    event.replaceInput({}, '#forge:storage_blocks/apatite', 'thermal:apatite_block');
    event.replaceInput({}, '#forge:storage_blocks/sulfur', 'thermal:sulfur_block');
    event.replaceInput({}, '#forge:storage_blocks/potassium_nitrate', 'thermal:potassium_nitrate_block');
    event.replaceInput({}, '#forge:storage_blocks/niter', 'thermal:niter_block');
    event.replaceInput({}, '#forge:storage_blocks/bronze', 'thermal:bronze_block');
    event.replaceInput({}, '#forge:storage_blocks/brass', 'create:brass_block');
    event.replaceInput({}, '#forge:storage_blocks/constantan', 'thermal:constantan_block');
    event.replaceInput({}, '#forge:storage_blocks/electrum', 'thermal:electrum_block');
    event.replaceInput({}, '#forge:storage_blocks/steel', 'immersiveengineering:storage_steel');
    event.replaceInput({}, '#forge:storage_blocks/invar', 'thermal:invar_block');
    event.replaceInput({}, '#forge:storage_blocks/signalum', 'thermal:signalum_block');
    event.replaceInput({}, '#forge:storage_blocks/lumium', 'thermal:lumium_block');
    event.replaceInput({}, '#forge:storage_blocks/enderium', 'thermal:enderium_block');
    event.replaceOutput({}, '#forge:storage_blocks/osmium', 'mekanism:block_osmium');

    //Ores
    event.replaceInput({}, '#forge:ores/iron', 'minecraft:iron_ore');
    event.replaceInput({}, '#forge:ores/gold', 'minecraft:gold_ore');
    event.replaceInput({}, '#forge:ores/diamond', 'minecraft:diamond_ore');
    event.replaceInput({}, '#forge:ores/emerald', 'minecraft:emerald_ore');
    event.replaceInput({}, '#forge:ores/copper', 'thermal:copper_ore');
    event.replaceInput({}, '#forge:ores/silver', 'thermal:silver_ore');
    event.replaceInput({}, '#forge:ores/lead', 'thermal:lead_ore');
    event.replaceInput({}, '#forge:ores/tin', 'thermal:tin_ore');
    event.replaceInput({}, '#forge:ores/nickel', 'thermal:nickel_ore');
    event.replaceInput({}, '#forge:ores/aluminum', 'immersiveengineering:ore_aluminum');
    event.replaceInput({}, '#forge:ores/uranium', 'immersiveengineering:ore_uranium');
    event.replaceInput({}, '#forge:ores/niter', 'thermal:niter_ore');
    event.replaceInput({}, '#forge:ores/fluorite', 'mekanism:fluorite_ore');
    event.replaceInput({}, '#forge:ores/sulfur', 'thermal:sulfur_ore');
    event.replaceInput({}, '#forge:ores/cinnabar', 'thermal:cinnabar_ore');
    event.replaceInput({}, '#forge:ores/apatite', 'thermal:apatite_ore');
	
    //Dust
    event.replaceInput({}, '#forge:dusts/copper', 'thermal:copper_dust');
    event.replaceInput({}, '#forge:dusts/silver', 'thermal:silver_dust');
    event.replaceInput({}, '#forge:dusts/lead', 'thermal:lead_dust');
    event.replaceInput({}, '#forge:dusts/tin', 'thermal:tin_dust');
    event.replaceInput({}, '#forge:dusts/nickel', 'thermal:nickel_dust');
    event.replaceInput({}, '#forge:dusts/aluminum', 'immersiveengineering:dust_aluminum');
    event.replaceInput({}, '#forge:dusts/uranium', 'immersiveengineering:dust_uranium');
    event.replaceInput({}, '#forge:dusts/bronze', 'thermal:bronze_dust');
    event.replaceInput({}, '#forge:dusts/electrum', 'thermal:electrum_dust');
    event.replaceInput({}, '#forge:dusts/constantan', 'thermal:constantan_dust');
    event.replaceInput({}, '#forge:dusts/steel', 'immersiveengineering:dust_steel');
    event.replaceInput({}, '#forge:dusts/invar', 'thermal:invar_dust');
    event.replaceInput({}, '#forge:dusts/signalum', 'thermal:signalum_dust');
    event.replaceInput({}, '#forge:dusts/lumium', 'thermal:lumium_dust');
    event.replaceInput({}, '#forge:dusts/enderium', 'thermal:enderium_dust');
    event.replaceInput({}, '#forge:dusts/niter', 'thermal:niter_dust');
    event.replaceInput({}, '#forge:dusts/fluorite', 'mekanism:dust_fluorite');
    event.replaceInput({}, '#forge:dusts/sulfur', 'thermal:sulfur_dust');
    event.replaceInput({}, '#forge:dusts/cinnabar', 'thermal:cinnabar_dust');
    event.replaceInput({}, '#forge:dusts/apatite', 'thermal:apatite_dust');
    event.replaceOutput({}, '#forge:dusts/osmium', 'mekanism:dust_osmium');

    //Plates
    event.replaceInput({}, '#forge:plates/iron', 'thermal:iron_plate');
    event.replaceInput({}, '#forge:plates/gold', 'thermal:gold_plate');
    event.replaceInput({}, '#forge:plates/copper', 'thermal:copper_plate');
    event.replaceInput({}, '#forge:plates/silver', 'thermal:silver_plate');
    event.replaceInput({}, '#forge:plates/lead', 'thermal:lead_plate');
    event.replaceInput({}, '#forge:plates/tin', 'thermal:tin_plate');
    event.replaceInput({}, '#forge:plates/nickel', 'thermal:nickel_plate');
    event.replaceInput({}, '#forge:plates/uranium', 'immersiveengineering:plate_uranium');
    event.replaceInput({}, '#forge:plates/bronze', 'thermal:bronze_plate');
    event.replaceInput({}, '#forge:plates/electrum', 'thermal:electrum_plate');
    event.replaceInput({}, '#forge:plates/constantan', 'thermal:constantan_plate');
    event.replaceInput({}, '#forge:plates/steel', 'immersiveengineering:plate_steel');
    event.replaceInput({}, '#forge:plates/invar', 'thermal:invar_plate');
    event.replaceInput({}, '#forge:plates/signalum', 'thermal:signalum_plate');
    event.replaceInput({}, '#forge:plates/lumium', 'thermal:lumium_plate');
    event.replaceInput({}, '#forge:plates/enderium', 'thermal:enderium_plate');
   

    //Gear
    event.replaceInput({}, '#forge:gears/iron', 'thermal:iron_gear');
    event.replaceInput({}, '#forge:gears/gold', 'thermal:gold_gear');
    event.replaceInput({}, '#forge:gears/copper', 'thermal:copper_gear');
    event.replaceInput({}, '#forge:gears/silver', 'thermal:silver_gear');
    event.replaceInput({}, '#forge:gears/lead', 'thermal:lead_gear');
    event.replaceInput({}, '#forge:gears/tin', 'thermal:tin_gear');
    event.replaceInput({}, '#forge:gears/nickel', 'thermal:nickel_gear');
    event.replaceInput({}, '#forge:gears/bronze', 'thermal:bronze_gear');
    event.replaceInput({}, '#forge:gears/electrum', 'thermal:electrum_gear');
    event.replaceInput({}, '#forge:gears/constantan', 'thermal:constantan_gear');
    event.replaceInput({}, '#forge:gears/steel', 'thermal:steel_gear');
    event.replaceInput({}, '#forge:gears/invar', 'thermal:invar_gear');
    event.replaceInput({}, '#forge:gears/signalum', 'thermal:signalum_gear');
    event.replaceInput({}, '#forge:gears/lumium', 'thermal:lumium_gear');
    event.replaceInput({}, '#forge:gears/enderium', 'thermal:enderium_gear');

    event.replaceOutput({}, '#forge:pieces/platinum', 'exnihilosequentia:piece_platinum');
    event.replaceInput({}, '#forge:pieces/platinum', 'exnihilosequentia:piece_platinum');
 

});